<template>
  <q-layout view="lHh Lpr lFf">
    <q-header class="bg-white text-primary text-center">
      <div class="text-center">
        <h2 @click="home" class="pointer">To Do List</h2>
      </div>
    </q-header>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
import { defineComponent, ref } from "vue";
import { useRouter } from "vue-router";
// import EssentialLink from 'components/EssentialLink.vue'

export default defineComponent({
  name: "MainLayout",
  components: {},
  setup() {
    const router = useRouter();
    function home() {
      router.push("/");
    }
    return { home };
  },
});
</script>
